# videoflip

Flips and rotates video.

## Example launch line

     gst-launch-1.0 videotestsrc ! videoflip method=clockwise ! videoconvert ! ximagesink

This pipeline flips the test image 90 degrees clockwise.

## Hierarchy

    GObject
        ╰──GInitiallyUnowned
            ╰──GstObject
                ╰──GstElement
                    ╰──GstBaseTransform
                        ╰──GstVideoFilter
                            ╰──videoflip

## Implemented interfaces

    GstVideoDirection

## Factory details

Authors: – David Schleef

Classification: – `Filter/Effect/Video`

Rank – none

Plugin – videofilter

Package – GStreamer Good Plug-ins

## Pad Templates

### `sink`

    video/x-raw:
             format: { AYUV, ARGB, BGRA, ABGR, RGBA, Y444, xRGB, RGBx, xBGR, BGRx, RGB, BGR, I420, YV12, IYUV, YUY2, UYVY, YVYU, NV12, NV21, GRAY8, GRAY16_BE, GRAY16_LE, I420_10LE, I420_10BE, I420_12LE, I420_12BE, I422_10LE, I422_10BE, I422_12LE, I422_12BE, Y444_10LE, Y444_10BE, Y444_12LE, Y444_12BE, Y444_16LE, Y444_16BE }
              width: [ 1, 2147483647 ]
             height: [ 1, 2147483647 ]
          framerate: [ 0/1, 2147483647/1 ]

Presence – always

Direction – sink

Object type – GstPad

### `src`

    video/x-raw:
             format: { AYUV, ARGB, BGRA, ABGR, RGBA, Y444, xRGB, RGBx, xBGR, BGRx, RGB, BGR, I420, YV12, IYUV, YUY2, UYVY, YVYU, NV12, NV21, GRAY8, GRAY16_BE, GRAY16_LE, I420_10LE, I420_10BE, I420_12LE, I420_12BE, I422_10LE, I422_10BE, I422_12LE, I422_12BE, Y444_10LE, Y444_10BE, Y444_12LE, Y444_12BE, Y444_16LE, Y444_16BE }
              width: [ 1, 2147483647 ]
             height: [ 1, 2147483647 ]
          framerate: [ 0/1, 2147483647/1 ]

Presence – always

Direction – src

Object type – GstPad

## Properties

### method

    “method” Video-flip-method *

method (deprecated, use video-direction instead)

Flags : Read / Write

Default value : none (0)

## Named constants

### Video-flip-method

The different flip methods.

#### Members

`none` (0) – Identity (no rotation)
`clockwise` (1) – Rotate clockwise 90 degrees
`rotate-180` (2) – Rotate 180 degrees
`counterclockwise` (3) – Rotate counter-clockwise 90 degrees
`horizontal-flip` (4) – Flip horizontally
`vertical-flip` (5) – Flip vertically
`upper-left-diagonal` (6) – Flip across upper left/lower right diagonal
`upper-right-diagonal` (7) – Flip across upper right/lower left diagonal
`automatic` (8) – Select flip method based on image-orientation tag

The results of the search are